CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-2314

Possible race condition that will cause a use-after-free when writing to two sysfs entries at nearly the same time in Snapdragon Compute, Snapdragon Consumer IOT, Snapdragon Industrial IOT, Snapdragon Mobile, Snapdragon Voice & Music, Snapdragon Wearables in MSM8909W, QCS405, QCS605, Qualcomm 215, SD 425, SD 439 / SD 429, SD 450, SD 625, SD 632, SD 636, SD 665, SD 675, SD 712 / SD 710 / SD 670, SD 730, SD 845 / SD 850, SD 855, SDM439, SDM660, SDX20, SDX24
Publish Date : 2019-07-25 Last Update Date : 2019-08-05
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.4
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 416

- Products Affected By CVE-2019-2314

# Product Type Vendor Product Version Update Edition Language
1 OS Qualcomm Msm8909w Firmware - Version Details Vulnerabilities
2 OS Qualcomm Qcs405 Firmware - Version Details Vulnerabilities
3 OS Qualcomm Qcs605 Firmware - Version Details Vulnerabilities
4 OS Qualcomm Qualcomm 215 Firmware - Version Details Vulnerabilities
5 OS Qualcomm Sd 425 Firmware - Version Details Vulnerabilities
6 OS Qualcomm Sd 429 Firmware - Version Details Vulnerabilities
7 OS Qualcomm Sd 439 Firmware - Version Details Vulnerabilities
8 OS Qualcomm Sd 450 Firmware - Version Details Vulnerabilities
9 OS Qualcomm Sd 625 Firmware - Version Details Vulnerabilities
10 OS Qualcomm Sd 632 Firmware - Version Details Vulnerabilities
11 OS Qualcomm Sd 636 Firmware - Version Details Vulnerabilities
12 OS Qualcomm Sd 665 Firmware - Version Details Vulnerabilities
13 OS Qualcomm Sd 670 Firmware - Version Details Vulnerabilities
14 OS Qualcomm Sd 675 Firmware - Version Details Vulnerabilities
15 OS Qualcomm Sd 710 Firmware - Version Details Vulnerabilities
16 OS Qualcomm Sd 712 Firmware - Version Details Vulnerabilities
17 OS Qualcomm Sd 730 Firmware - Version Details Vulnerabilities
18 OS Qualcomm Sd 845 Firmware - Version Details Vulnerabilities
19 OS Qualcomm Sd 850 Firmware - Version Details Vulnerabilities
20 OS Qualcomm Sd 855 Firmware - Version Details Vulnerabilities
21 OS Qualcomm Sdm439 Firmware - Version Details Vulnerabilities
22 OS Qualcomm Sdm660 Firmware - Version Details Vulnerabilities
23 OS Qualcomm Sdx20 Firmware - Version Details Vulnerabilities
24 OS Qualcomm Sdx24 Firmware - Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Qualcomm Msm8909w Firmware 1
Qualcomm Qcs405 Firmware 1
Qualcomm Qcs605 Firmware 1
Qualcomm Qualcomm 215 Firmware 1
Qualcomm Sd 425 Firmware 1
Qualcomm Sd 429 Firmware 1
Qualcomm Sd 439 Firmware 1
Qualcomm Sd 450 Firmware 1
Qualcomm Sd 625 Firmware 1
Qualcomm Sd 632 Firmware 1
Qualcomm Sd 636 Firmware 1
Qualcomm Sd 665 Firmware 1
Qualcomm Sd 670 Firmware 1
Qualcomm Sd 675 Firmware 1
Qualcomm Sd 710 Firmware 1
Qualcomm Sd 712 Firmware 1
Qualcomm Sd 730 Firmware 1
Qualcomm Sd 845 Firmware 1
Qualcomm Sd 850 Firmware 1
Qualcomm Sd 855 Firmware 1
Qualcomm Sdm439 Firmware 1
Qualcomm Sdm660 Firmware 1
Qualcomm Sdx20 Firmware 1
Qualcomm Sdx24 Firmware 1

- References For CVE-2019-2314

https://www.codeaurora.org/security-bulletin/2019/07/01/july-2019-code-aurora-security-bulletin CONFIRM

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2019-2314

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.